import { OnInit, EventEmitter } from '@angular/core';
import { Configs } from '../../models/Configs.model';
import { Column } from '../../models/Column.model';
import { AngularTreeGridService } from '../../angular-tree-grid.service';
import { Store } from '../../store/store';
export declare class TreeBodyComponent implements OnInit {
    private angularTreeGridService;
    parents: any[];
    raw_data: any[];
    display_data: any[];
    store: Store;
    configs: Configs;
    expand_tracker: any;
    edit_tracker: any;
    internal_configs: any;
    columns: Column[];
    cellclick: EventEmitter<any>;
    expand: EventEmitter<any>;
    collapse: EventEmitter<any>;
    rowdelete: EventEmitter<any>;
    rowsave: EventEmitter<any>;
    rowadd: EventEmitter<any>;
    rowselect: EventEmitter<any>;
    rowdeselect: EventEmitter<any>;
    constructor(angularTreeGridService: AngularTreeGridService);
    ngOnInit(): void;
    setParents(): void;
    refreshData(element: any): void;
    onRowExpand(event: any): void;
    onRowCollapse(event: any): void;
    saveRecord($event: any): void;
    checkAndRefreshData(element: any): void;
    addRow(element: any): void;
    cancelEdit(row_data: any): void;
    selectRow(row_data: any, event: any): void;
    selectRowOnCheck(row_data: any, event: any): void;
    /**
     * Set Select All config on Select change.
     *
     */
    setSelectAllConfig(): void;
}
