import { OnChanges, EventEmitter, OnInit } from '@angular/core';
import { Configs } from './models/Configs.model';
import { AngularTreeGridService } from './angular-tree-grid.service';
import { Column } from './models/Column.model';
import { Store } from './store/store';
export declare class AngularTreeGridComponent implements OnChanges, OnInit {
    private angularTreeGridService;
    processed_data: any[];
    expand_tracker: any;
    columns: Column[];
    edit_tracker: any;
    internal_configs: any;
    store: Store;
    data: any[];
    configs: Configs;
    default_configs: Configs;
    default_column_config: Column;
    cellclick: EventEmitter<any>;
    expand: EventEmitter<any>;
    collapse: EventEmitter<any>;
    rowselect: EventEmitter<any>;
    rowdeselect: EventEmitter<any>;
    rowselectall: EventEmitter<any>;
    rowdeselectall: EventEmitter<any>;
    rowadd: EventEmitter<any>;
    rowsave: EventEmitter<any>;
    rowdelete: EventEmitter<any>;
    constructor(angularTreeGridService: AngularTreeGridService);
    ngOnInit(): void;
    ngOnChanges(): void;
    validateConfigs(): boolean;
    setDefaultConfigs(): void;
    setColumnNames(): void;
    collapseAll(): void;
    expandAll(): void;
    selectAll(): void;
    deSelectAll(): void;
    expandRow(row_id: any, suppress_event?: false): void;
    collapseRow(row_id: any, suppress_event?: false): void;
    disableRowSelection(row_id: any): void;
    enableRowSelection(row_id: any): void;
    disableRowExpand(row_id: any): void;
    enableRowExpand(row_id: any): void;
    selectRow(row_id: any): void;
}
